---
lang: en
title: 'API docs: service-proxy.serviceproxymetadata._constructor_'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.service-proxy.serviceproxymetadata._constructor_.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/service-proxy](./service-proxy.md) &gt; [ServiceProxyMetadata](./service-proxy.serviceproxymetadata.md) &gt; [(constructor)](./service-proxy.serviceproxymetadata._constructor_.md)

## ServiceProxyMetadata.(constructor)

Constructs a new instance of the `ServiceProxyMetadata` class

<b>Signature:</b>

```typescript
constructor(dataSource: string | juggler.DataSource);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  dataSource | <code>string &#124; juggler.DataSource</code> |  |


